package com.example.criminalintent;

import android.app.Activity;
import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.os.Bundle;

public class CrimeListActivity extends Activity
							   implements CrimeListFragment.OnCrimeSelectedListener
{
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_crime);
		
		FragmentManager fm = getFragmentManager();
		Fragment fragment = fm.findFragmentById(R.id.fragmentContainer);
		if (fragment == null)
		{
			fragment = new CrimeListFragment();
			fm.beginTransaction()
				.add(R.id.fragmentContainer, fragment)
				.commit();
		}
	}

	@Override
	public void onCrimeSelected(int pos)
	{
		Fragment newFragment = CrimeFragment.newInstance(pos);
		FragmentTransaction transaction = getFragmentManager().beginTransaction();
		
		transaction.replace(R.id.fragmentContainer, newFragment);
		transaction.addToBackStack(null);
		
		transaction.commit();
		
	}

}
